var LiveBookmarkProps =
{
	// Initialization Code
	startup : function ()
	{
		// Show Location Row if Livemark
		var bLivemark = BookmarksUtils.resolveType( gResource ) == "Livemark";
		if (!bLivemark) return;

		// Get localized strings
		var strings = document.getElementById( "liveclick-strings" );

		document.getElementById( "locationrow" ).hidden = false;

		var sFeed = document.getElementById( "feedurl" ).value;

		var notifiables = NotifiableUtils.getList();
		var bChecked = typeof notifiables[sFeed] != "undefined";

		var cbMonitor = document.createElementNS( gXUL_NS, "checkbox" );
		cbMonitor.setAttribute( "id", "liveclick-monitor" );
		cbMonitor.setAttribute( "initstate", bChecked );
		cbMonitor.setAttribute( "checked", bChecked );
		cbMonitor.setAttribute( "label", strings.getString( "propsMonitor" ) );

		document.getElementById( "webpanel" ).parentNode.
			insertBefore( cbMonitor, document.getElementById( "webpanel" ) );

		sizeToContent();

		window.addEventListener( "dialogaccept", LiveBookmarkProps.accept, true );
	},

	// When monitor (un)checked, tell browser windows to update list of notifiables
	accept : function ()
	{
		var cbMonitor = document.getElementById( "liveclick-monitor" );
		if (cbMonitor.checked == cbMonitor.getAttribute( "initstate" )) return;

		var sFeed = document.getElementById( "feedurl" ).value;
		NotifiableUtils.updateFile( sFeed, cbMonitor.checked );

		var sTopic = cbMonitor.checked ? "add" : "remove";

		Components.classes["@mozilla.org/observer-service;1"].
			getService( Components.interfaces.nsIObserverService ).
			notifyObservers( null, "notifiables-" + sTopic, sFeed );
	}
}

window.addEventListener( "load", function() { LiveBookmarkProps.startup(); }, false );