/*****************************************************
Localized Description
http://kb.mozillazine.org/Localize_extension_descriptions

Also see Bug 257155
https://bugzilla.mozilla.org/show_bug.cgi?id=257155
*****************************************************/
pref( "extensions.{d166ee2a-36bb-4f33-aff7-e85f912df509}.description", "chrome://liveclick/locale/liveclick.properties" );


/* LiveClick default preferences (added 0.2.0) */

// Clicking livemarks
pref( "extensions.liveclick.onLeftClick", 1 );
pref( "extensions.liveclick.onMiddleClick", 2 );
pref( "extensions.liveclick.onAccelClick", 2 );

// Icon control
pref( "extensions.liveclick.showFavIcons", true );

// Feed item menu options
pref( "extensions.liveclick.showPopupOpen", true );
pref( "extensions.liveclick.showPopupFeed", true );
pref( "extensions.liveclick.showPopupRead", true );
pref( "extensions.liveclick.showAtTop", 1 );

// Feed reading
pref( "extensions.liveclick.maxFeedItems", 0 );
pref( "extensions.liveclick.readStyle", 1 );

// Monitors
pref( "extensions.liveclick.monitorAction", 1 );

pref( "extensions.liveclick.alert1Action", 3 );
pref( "extensions.liveclick.alert1Read", false );
pref( "extensions.liveclick.alertNAction", 1 );
pref( "extensions.liveclick.alertNRead", true );
pref( "extensions.liveclick.alertForeground", true );

pref( "extensions.liveclick.autoload1Action", 3 );
pref( "extensions.liveclick.autoload1Read", false );
pref( "extensions.liveclick.autoloadNAction", 1 );
pref( "extensions.liveclick.autoloadNRead", true );

// Prompts
pref( "extensions.liveclick.promptNoLocation", true );